Bug 737215 - ps does not resolve some user names
Summary: ps does not resolve some user names
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: procps-ng
Version: 18
Hardware: x86_64
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Jaromír Cápík
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-09 23:46 UTC by szymon.miotk
Modified: 2016-02-01 01:55 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-02-05 22:42:26 UTC


Attachments (Terms of Use)

Description szymon.miotk 2011-09-09 23:46:58 UTC
Description of problem:
In ps output some user names are not resolved (UID instead of user name), although user exists in /etc/passwd

Version-Release number of selected component (if applicable):
Version     : 3.2.8
Release     : 21.20110302git.fc15

How reproducible:
always

Steps to Reproduce:
1. yum install pacemaker
2. chsh -s /bin/bash hacluster
3. su - hacluster
4. ps -f 
  
Actual results:
UID        PID  PPID  C STIME TTY          TIME CMD
498       1338  1337  0 01:43 pts/0    00:00:00 -bash
498       1375  1338  0 01:43 pts/0    00:00:00 ps -f


Expected results:
UID        PID  PPID  C STIME TTY          TIME CMD
hacluster       1338  1337  0 01:43 pts/0    00:00:00 -bash
hacluster       1375  1338  0 01:43 pts/0    00:00:00 ps -f


Additional info:

-bash-4.2$ grep 498 /etc/passwd
hacluster:x:498:498:heartbeat user:/var/lib/heartbeat/cores/hacluster:/bin/bash
-bash-4.2$ getent passwd 498
hacluster:x:498:498:heartbeat user:/var/lib/heartbeat/cores/hacluster:/bin/bash

user resolving works for ls

[root@fedora2 corosync]# ls -la /var/lib/heartbeat/cores/hacluster
total 12
drwx------. 2 hacluster haclient 4096 Sep 10 01:42 .
drwxr-xr-x. 5 root      root     4096 Sep  8 00:42 ..
-rw-------  1 hacluster haclient  189 Sep 10 01:45 .bash_history

Comment 1 Jaromír Cápík 2012-01-10 13:42:33 UTC
Hello Szymon.

I successfully reproduced the issue.
Thanks for reporting.

Regards,
Jaromir.

Comment 2 Jaromír Cápík 2012-01-10 17:46:00 UTC
Hello Szymon.

I just found the reason why You get UID instead of username.

I analysed the code and the reason is explained here https://bugzilla.redhat.com/show_bug.cgi?id=711473#c17

If the username is too long and doesn't fit in the column size, then UID is printed instead.

Since this is a feature, please, let me know if You're happy with the explanation and if it is possible to close this bug.

Thank You.

Regards,
Jaromir.

Comment 3 szymon.miotk 2012-01-10 19:18:56 UTC
Hello Jaromir,

thank you very much for your investigation.

I don't feel this feature is good.
It acts behind the scenes, confuses user and there is no way to turn it off.
BTW with very long UIDs the columns will be broken anyway (please try UID=1111222233)

I think the proper way should be to display the username (and possibly truncate it to fit) and provide a switch to numeric mode - just like we have with network commands.

Best regards,
Szymon Miotk

Comment 4 Jaromír Cápík 2012-01-11 18:18:42 UTC
Hello Szymon.

I thought exactly the same. But a workaround exists. When You specify Your own format and give the user field 9 or more characters, then it returns the username. It's also questionable if we should break a backward compatibility by such change, since someone could use the ps output in custom scripts. But the application could print a warning to stderr output if that happens. That shouldn't break anything.

Anyway ... that's a RFE. I need to discuss such change with guys from the procps-ng upstream team if this change is wanted or not. We need to unify the procps sources somehow and that's why we'd like to get rid of all local patches. That forces me to follow our future collective decisions. I'll let You know about the result.

BR,
Jaromir.

Comment 5 Fedora End Of Life 2012-08-07 20:20:31 UTC
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 6 Fedora End Of Life 2013-01-16 22:47:05 UTC
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 7 Fedora End Of Life 2013-07-04 05:52:24 UTC
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 8 Fedora End Of Life 2013-08-01 17:09:27 UTC
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 9 Fedora End Of Life 2013-12-21 14:57:13 UTC
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 10 Fedora End Of Life 2014-02-05 22:42:26 UTC
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.